wibble::GeneratedRange< T, _Advance, _End > Struct Template Reference

`#include <range.h>`

Inheritance diagram for wibble::GeneratedRange< T, _Advance, _End >:
[legend]
Collaboration diagram for wibble::GeneratedRange< T, _Advance, _End >:
[legend]

## Public Types

typedef _Advance | Advance
typedef _End | End
Public Types inherited from wibble::RangeMixin< T, GeneratedRange< T, _Advance, _End > >
typedef GeneratedRange< T, _Advance, _End > | RangeImplementation
typedef T | ElementType
typedef IteratorMixin< T, GeneratedRange< T, _Advance, _End > > | Base
typedef RangeIterator< GeneratedRange< T, _Advance, _End > > | iterator

## Public Member Functions

| GeneratedRange ()
| GeneratedRange (const T &t, const Advance &a, const End &e)
void | removeFirst ()
void | setToEmpty ()
T | head () const
bool | isEnd () const
bool | operator<= (const GeneratedRange &r) const
Public Member Functions inherited from wibble::RangeMixin< T, GeneratedRange< T, _Advance, _End > >
const GeneratedRange< T, _Advance, _End > & | self () const
iterator | begin () const
iterator | end () const
T | head ()
GeneratedRange< T, _Advance, _End > | tail () const
void | output (Consumer< T > t) const
bool | empty () const
| ~RangeMixin ()
Public Member Functions inherited from wibble::mixin::Comparable< Self >
const Self & | cmpSelf () const
bool | operator!= (const Self &o) const
bool | operator== (const Self &o) const
bool | operator< (const Self &o) const
bool | operator> (const Self &o) const
bool | operator>= (const Self &o) const

## Protected Attributes

T | m_current
Advance | m_advance
End | m_endPred
bool | m_end

## Member Typedef Documentation

## Advance

template<typename T , typename _Advance , typename _End >

typedef _Advance wibble::GeneratedRange< T, _Advance, _End >::Advance

## End

template<typename T , typename _Advance , typename _End >

typedef _End wibble::GeneratedRange< T, _Advance, _End >::End

## Constructor & Destructor Documentation

## GeneratedRange() [1/2]

template<typename T , typename _Advance , typename _End >

wibble::GeneratedRange< T, _Advance, _End >::GeneratedRange | ( |  | ) |

inline

## GeneratedRange() [2/2]

template<typename T , typename _Advance , typename _End >

wibble::GeneratedRange< T, _Advance, _End >::GeneratedRange | ( | const T & | t,
|  | const Advance & | a,
|  | const End & | e
| ) |  |

inline

## Member Function Documentation

## head()

template<typename T , typename _Advance , typename _End >

T wibble::GeneratedRange< T, _Advance, _End >::head | ( |  | ) | const

inline

References wibble::GeneratedRange< T, _Advance, _End >::m_current.

## isEnd()

template<typename T , typename _Advance , typename _End >

bool wibble::GeneratedRange< T, _Advance, _End >::isEnd | ( |  | ) | const

inline

References wibble::GeneratedRange< T, _Advance, _End >::m_current, wibble::GeneratedRange< T, _Advance, _End >::m_end, and wibble::GeneratedRange< T, _Advance, _End >::m_endPred.

Referenced by wibble::GeneratedRange< T, _Advance, _End >::operator<=().

## operator<=()

template<typename T , typename _Advance , typename _End >

bool wibble::GeneratedRange< T, _Advance, _End >::operator<= | ( | const GeneratedRange< T, _Advance, _End > & | r | ) | const

inline

References wibble::GeneratedRange< T, _Advance, _End >::isEnd(), and wibble::GeneratedRange< T, _Advance, _End >::m_current.

## removeFirst()

template<typename T , typename _Advance , typename _End >

void wibble::GeneratedRange< T, _Advance, _End >::removeFirst | ( |  | ) |

inline

References wibble::GeneratedRange< T, _Advance, _End >::m_advance, and wibble::GeneratedRange< T, _Advance, _End >::m_current.

## setToEmpty()

template<typename T , typename _Advance , typename _End >

void wibble::GeneratedRange< T, _Advance, _End >::setToEmpty | ( |  | ) |

inline

References wibble::GeneratedRange< T, _Advance, _End >::m_end.

## Member Data Documentation

## m_advance

template<typename T , typename _Advance , typename _End >

Advance wibble::GeneratedRange< T, _Advance, _End >::m_advance

protected

Referenced by wibble::GeneratedRange< T, _Advance, _End >::removeFirst().

## m_current

template<typename T , typename _Advance , typename _End >

T wibble::GeneratedRange< T, _Advance, _End >::m_current

protected

Referenced by wibble::GeneratedRange< T, _Advance, _End >::head(), wibble::GeneratedRange< T, _Advance, _End >::isEnd(), wibble::GeneratedRange< T, _Advance, _End >::operator<=(), and wibble::GeneratedRange< T, _Advance, _End >::removeFirst().

## m_end

template<typename T , typename _Advance , typename _End >

bool wibble::GeneratedRange< T, _Advance, _End >::m_end

protected

Referenced by wibble::GeneratedRange< T, _Advance, _End >::isEnd(), and wibble::GeneratedRange< T, _Advance, _End >::setToEmpty().

## m_endPred

template<typename T , typename _Advance , typename _End >

End wibble::GeneratedRange< T, _Advance, _End >::m_endPred

protected

Referenced by wibble::GeneratedRange< T, _Advance, _End >::isEnd().

The documentation for this struct was generated from the following file:

- range.h